{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<div class="modal fade" id="modal-anomalie-ressources" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">
                    {{ rdf_resource.label }} ({{ rdf_resource.type }})
                </h4>
            </div>
            <div class="modal-body no-padding">
                <table class="table table-responsive table-hover m-b-0">
                    <thead>
                    <tr>
                        <th>
                            Anomalies
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    {% set tooltipOptions = {'side': 'left'} | json_encode %}
                    {% for anomaly in anomalies %}
                        <tr {% if anomaly.breaker %}class="bg-warning"{% endif %}>
                            <td>
                                {% if anomaly.breaker %}
                                    <span class="fa fa-warning text-red _tooltip" title="Cette anomalie est bloquante : le POI n'a pas été importé"  data-tooltip={{ tooltipOptions }}></span>
                                {% else %}
                                    <span class="fa fa-warning text-gray _tooltip" title="Cette anomalie n'est pas bloquante : elle n'a pas empêché l'importation du POI"  data-tooltip={{ tooltipOptions }}></span>
                                {% endif %}
                                &nbsp;{{ anomaly.content }}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
                </div>
        </div>
    </div>
</div>



